# List accounts

URL: https://docs.hanzo.ai/docs/openapi/o11y/listaccounts

> Lists the cloud-integration accounts connected for the given provider.

`GET /v1/o11y/cloud_integrations/{cloud_provider}/accounts`

> [O11y →](https://docs.hanzo.ai/docs/openapi/o11y) · [All API references →](https://docs.hanzo.ai/docs/openapi) · [Get started →](https://docs.hanzo.ai/docs/guides)

|               |                                                                             |
| ------------- | --------------------------------------------------------------------------- |
| **Address**   | `https://api.hanzo.ai/v1/o11y/cloud_integrations/{cloud_provider}/accounts` |
| **Method**    | `GET`                                                                       |
| **Operation** | `ListAccounts`                                                              |
| **Auth**      | `Authorization: Bearer $HANZO_API_KEY`                                      |

Lists the cloud-integration accounts connected for the given
provider. Admin gate.

## Request

1 field.

| Field            | In   | Type   | Required | Description |
| ---------------- | ---- | ------ | -------- | ----------- |
| `cloud_provider` | path | string | yes      |             |

## Response

| Status    | Body                 | Meaning           |
| --------- | -------------------- | ----------------- |
| `200`     | o11y.O11yAccountsOut | ok                |
| `202`     | Approval             | held for approval |
| `default` | problem-details      | refused           |

`200` body — 24 fields.

| Field                                            | In   | Type                    | Always | Description                                      |
| ------------------------------------------------ | ---- | ----------------------- | ------ | ------------------------------------------------ |
| `data`                                           | body | o11y.GettableAccounts   | —      |                                                  |
| `data.accounts`                                  | body | o11y.Account\[]         | —      |                                                  |
| `data.accounts[].agentReport`                    | body | o11y.AgentReport        | —      |                                                  |
| `data.accounts[].agentReport.data`               | body | object                  | —      |                                                  |
| `data.accounts[].agentReport.data.*`             | body | any                     | —      |                                                  |
| `data.accounts[].agentReport.timestampMillis`    | body | integer (int64)         | —      |                                                  |
| `data.accounts[].config`                         | body | o11y.AccountConfig      | —      |                                                  |
| `data.accounts[].config.aws`                     | body | o11y.AWSAccountConfig   | —      |                                                  |
| `data.accounts[].config.aws.regions`             | body | string\[]               | —      |                                                  |
| `data.accounts[].config.azure`                   | body | o11y.AzureAccountConfig | —      |                                                  |
| `data.accounts[].config.azure.deploymentRegion`  | body | string                  | —      |                                                  |
| `data.accounts[].config.azure.resourceGroups`    | body | string\[]               | —      |                                                  |
| `data.accounts[].config.gcp`                     | body | o11y.GCPAccountConfig   | —      |                                                  |
| `data.accounts[].config.gcp.deploymentProjectId` | body | string                  | —      | Project ID where central pub/sub for logs exist  |
| `data.accounts[].config.gcp.deploymentRegion`    | body | string                  | —      | Project ID where otel collector will be deployed |
| `data.accounts[].config.gcp.projectIds`          | body | string\[]               | —      | List of project IDs to monitor                   |
| `data.accounts[].createdAt`                      | body | string (date-time)      | —      |                                                  |
| `data.accounts[].id`                             | body | any                     | —      |                                                  |
| `data.accounts[].orgId`                          | body | any                     | —      |                                                  |
| `data.accounts[].provider`                       | body | any                     | —      |                                                  |
| `data.accounts[].providerAccountId`              | body | string                  | —      |                                                  |
| `data.accounts[].removedAt`                      | body | string (date-time)      | —      |                                                  |
| `data.accounts[].updatedAt`                      | body | string (date-time)      | —      |                                                  |
| `status`                                         | body | string                  | —      | Status is "success".                             |

Failure carries the platform error shape — see [Errors](https://docs.hanzo.ai/docs/errors).

## Examples

**CLI**

```bash
hanzo o11y cloud_integrations accounts list <cloud_provider>
```

**SDK**

**.ts**

```ts
import { Configuration, O11yApi } from 'hanzoai';

const api = new O11yApi(new Configuration({ accessToken: process.env.HANZO_API_KEY }));
const { data } = await api.listAccounts({ cloud_provider: 'cloud_provider' });
```

**.py**

```python
from hanzoai.cloud import ApiClient, Configuration
from hanzoai.cloud.api import O11yApi

client = ApiClient(Configuration(access_token=os.environ["HANZO_API_KEY"]))
result = O11yApi(client).list_accounts(cloud_provider='cloud_provider')
```

**.go**

```go
cfg := hanzoai.NewConfiguration()
cfg.AddDefaultHeader("Authorization", "Bearer "+os.Getenv("HANZO_API_KEY"))
client := hanzoai.NewAPIClient(cfg)

resp, _, err := client.O11yAPI.ListAccounts(context.Background()).Execute()
if err != nil {
	return err
}
```

**.rs**

```rust
use hanzo_client::apis::{configuration::Configuration, o11y_api};

let mut cfg = Configuration::new();
cfg.bearer_access_token = std::env::var("HANZO_API_KEY").ok();

let result = o11y_api::list_accounts(&cfg, Default::default()).await?;
```

**.java**

```java
import ai.hanzo.cloud.ApiClient;
import ai.hanzo.cloud.api.O11yApi;

ApiClient client = new ApiClient();
client.setBearerToken(System.getenv("HANZO_API_KEY"));

var result = new O11yApi(client).listAccounts();
```

**HTTP**

```bash
curl https://api.hanzo.ai/v1/o11y/cloud_integrations/<cloud_provider>/accounts \
  -H "Authorization: Bearer $HANZO_API_KEY"
```

**MCP**

Tool `o11y`, op `ListAccounts` — POST the JSON-RPC envelope to `https://api.hanzo.ai/v1/mcp`.

```bash
curl -X POST https://api.hanzo.ai/v1/mcp \
  -H "Authorization: Bearer $HANZO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
       "jsonrpc": "2.0",
       "id": 1,
       "method": "tools/call",
       "params": {
         "name": "o11y",
         "arguments": {
           "op": "ListAccounts",
           "input": {
             "cloud_provider": "<cloud_provider>"
           }
         }
       }
     }'
```

---

[O11y API](https://docs.hanzo.ai/docs/openapi/o11y) · [All Hanzo APIs](https://docs.hanzo.ai/docs/openapi) · [Interactive reference](https://docs.hanzo.ai/docs/openapi/reference)
